# Het handboek van &amarok;

Mike
Diehl

    madpenguin8@yahoo.com

Het ontwikkelaarsteam van Amarok
Ontwikkelaars

&Rinse.Devries;Antoon Tolboom

    atolboo@casema.nl

Vertaler/Nalezer
2005
Het ontwikkelaarsteam van Amarok
2006
De doKymotion Krew
&FDLNotice;
2006-02-20
2.1

&amarok; is een audiospeler voor de K Desktop Environment.

KDE
multimedia
speler
audio
ogg
mp3
wav
muziek
geluid
script

## Inleiding

Logo

&amarok; is een audiospeler voor &kde;. Het is zeer krachtig, doch verrassend eenvoudig te gebruiken.

Met &amarok; kunt u eenvoudigweg muziek naar de afspeellijst toe slepen in plaats van dat u door eindeloze menustructuren hoeft te spitten. Bent u op zoek naar dat ene lied in een enorm grote collectie? &amarok;'s collectiebrowser met de snelzoekbalk vind hem in slechts enkele seconden.

Het lijkt er dus op dat &amarok; dezelfde functies heeft die u in een doorsnee audiospelers tegenkomt. Een blik op de contextbrowser vertelt u waarom &amarok; de concurrentie een stap voor is. De contextbrowser toont allerlei informatie over de track die op dat moment wordt afgespeeld: albumhoes, andere muziek van dezelfde artiest, gerelateerde artiesten, etc. De contextbrowser biedt een informatieve en aantrekkelijke manier om meer te leren over uw collectie!

Hebt u al meerdere afspeellijsten, maar kunt u nooit beslissen welke u wilt gebruiken? Dan is de afspeellijstbrowser ideaal voor u. Weet u niet waar u naar wilt luisteren? Amarok's dynamische modus kiest de muziek voor u uit, en intelligente afspeellijsten maken het u mogelijk om meteen naar specifieke onderdelen van uw collectie te springen.

Amarok heeft uitstekende ondersteuning voor Apple's iPod, iRiver's ifp en diverse generieke USB-apparaten. amaroK biedt bovendien ondersteuning voor verschillende audio-backends zodat U kunt bepalen hoe u naar uw muziek wilt luisteren. Deze en andere functies maken het de meest uitgebreide audiospeler op de markt. &amarok; is intelligent, sexy en slim. We hopen dat het gebruik ervan u uw muziek doet herontdekken!

&amarok-quick;

&amarok-config;

&amarok-using;

&amarok-advanced;

&amarok-faq;

## Dankbetuigingen en licentie

Programma copyright 2003-2005 Mark Kretschmann markey@web.de en het AmaroK-team.

### Het amaroK-team

- Christian babe-magnet Muehlhaeuser chris@chris.de

- Frederik ich bin kein Deustcher! Holljen fh@ez.no

- Mark it's good, but it's not irssi Kretschmann markey@web.de

- Max Turtle-Power Howell max.howell@methylblue.com

- Mike purple is not girly! Diehl madpenguin8@yahoo.com

- Pierpaolo Spaghetti Coder Di Panfilopippo_dp@libero.it

- Roman and God said, let there be Mac Becker roman@formmorf.de

- Seb Surfin' down under Ruiz me@sebruiz.net

- Stanislav did someone say DCOP? Karchebny Stanislav.Karchebny@kdemail.net

### Met bijdragen van:

- Adam Pigg (analyzes, patches) adam@piggz.fsnet.co.uk

- Adeodato Simo (patches) asp16@alu.ua.es

- Alexandre Oliveira (verbeteringen, bugreparaties) aleprj@gmail.com

- Andreas Mair (MySQL-ondersteuning) am_ml@linogate.com

- Andrew de Quincey (PostgreSQL-ondersteuning) adq_dvb@lidskialf.net

- Christie Harris (roKymoter) dangle.baby@gmail.com

- Dan Leinir Turthra Jensen (first run wizard) admin@removeleinir.dk

- Dan Meltzer (roKymoter) hydrogen@notyetimplemented.com

- Enrico Ros (analyzes, koning der openGL) eros.kde@email.it

- Florian 'da-flow' Egerer (Amarok programmapictogram 'Blue Wolf) flo_for_never@gmx.at

- Gèrard Dürrmeyer (pictogrammen en illustraties) gerard@randomtree.com

- Greg Meyer (fantastische hulp bij onze pre 1.2 bug-lawine) greg@gkmweb.com

- Harald Sitter (roKymoter, vertalingen, bugreparaties, schermafdrukken) harald.sitter@kdemail.net

- Ian Monroe (patches, Ruby-scriptsjabloon (eean) )ian@monroe.nu

- Jarkko Lehti (tester) grue@iki.fi

- Jocke Andersson (roKymoter) ajocke@gmail.com

- Kenneth Wesley Wimer II (pictogrammen) kwwii@bootsplash.org

- Kenny Lemieux (Amarok-webmaster) swaft@pwsp.net

- Melchior Franz (nieuwe FFT-routine, bugreparaties) mfranz@kde.org

- Michael Pyne (K3B exportcode) michael.pyne@kdemail.net

- Nenad Grujicic (opstartscherm voor 1.1) mchitman@neobee.net

- Olivier Bédard (websitehosting) paleo@pwsp.net

- Reigo Reinmets (Wikipedia-ondersteuning, patches) xatax@hot.ee

- Roland Gigler (MAS-engine) michael.pyne@kdemail.net

- Sami Nieminen (Audioscrobbler-ondersteuning) sami.nieminen@iki.fi

- Scott Wheeler (TagLib) wheeler@kde.org

- Stefan Bogner (heel veel zaken) bochi@online.ms

- Stefan Siegel (patches, bugreparaties) kde@sdas.de

- Sven Krohlas (roKymoter) sven@asbest-online.de

- Whitehawk Stormchaser (tester, patches) zerokode@gmx.net

Documentatie copyright 2005 Mike Diehl madpenguin8@yahoo.com

&underFDL; &underGPL;

&amarok-req;

## Installatie

### Hoe u &amarok; kunt verkrijgen

&amarok; kan worden gedownload van de &amarok;-website

De laatste ontwikkelaarsversie kan worden opgehaald uit &kde;'s SVN-module /trunk/extragear/multimedia/amarok/.

#### Hoe u &amarok; kunt compileren

Om Amarok op uw computer te compileren en te installeren, typ het volgende in de basismap van de Amarok-distributie:

`./configure --prefix=`kde-config --prefix`` `make` `su -c "make install"`

Het configuratie-argument --enable final wordt niet langer ondersteund.

Omdat &amarok; gebruik maakt van autoconf en automake zult u geen problemen ondervinden bij het compileren ervan. Mocht u toch problemen tegenkomen, meldt ze dan op de &kde;-mailinglists.

#### Configure-opties

Net als veel andere programma's heeft &amarok; veel compileeropties die u bij het commando ./configure kunt activeren of deactiveren. Dit is een lijst van deze opties.

Enkele compileeropties zijn afhankelijk van andere programma's. Zie de sectie Vereisten voor meer informatie.

Optie | Standaard | Beschrijving
--- | --- | ---
--enable-debug= | no | Debug-symbolen activeren. Kies uit yes of no en full. Gebruik de optie full als u van plan bent om mee te helpen bij het ontwikkelen van &amarok;.
--enable-mysql | Uitgeschakeld | Activeert de ondersteuning voor MySQL-databases in &amarok;
--disable-amazon | Ingeschakeld | Deactiveert de mogelijkheid om hoezen van Amazon's webservers te downloaden
--without-arts | Met | Deactiveert de ondersteuning voor aRts in &amarok;
--without-gstreamer | Met | Deactiveert de ondersteuning voor GStreamer in &amarok;
--with-helix | Met | Activeert de ondersteuning voor Helix in &amarok;
--without-xine | Met | Deactiveert de ondersteuning voor Xine in &amarok;
--with-nmm | Zonder | Activeert ondersteuning voor NNM in &amarok;
--with-mas | Zonder | Activeert ondersteuning voor MAS in &amarok;
--without-opengl | Met | Deactiveert de ondersteuning voor OpenGL (analyzer of ontleder) uit &amarok;
--without-included-sqlite | Met | Er wordt geen gebruik gemaakt van de ingesloten sqlite-bronnen (heeft sqlite nodig)

&documentation.index;